Subject: [PATCH] ARM: asm: Configure caches as per the defconfig

From: [email-masked] (Amit Virdi)
Date: Thu, 28 Nov 2013 11:12:55 +0530

On 11/27/2013 5:44 PM, Russell King - ARM Linux wrote:
> On Wed, Nov 27, 2013 at 05:24:04PM +0530, Amit Virdi wrote:
>> From: Amit VIRDI <[email-masked]>
>>
>> In the current implementation of the decompression code, the caches are enabled
>> irrespective of their configuration in the deconfig. This makes setting the
>> ICACHE and DCACHE disable options from the menuconfig irrelevant. Change this
>> implementation to enable caches only if specified in the defconfig.
>
> NAK.  These options are provided more for ARM Ltd's validation of CPUs
> rather than for users, and it's not supposed to be used with the
> decompressor.
>

It is perfectly true that these options are used only during CPU 
validations and not in the end product. Still, it doesn't justify why 
these options are not to be used with decompressor. Or alternately, why 
would a user intend to disable a cache when it has been implemented 
correctly and is stable? Without this change, the effect of disabling 
cache is not reflected in entirety.

Regards
Amit Virdi